﻿using Infragistics.Controls.Editors;
using Infragistics.Windows;
using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Data;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XDGComboBoxFieldDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            DataTable data = GetTable();
            XDG1.DataContext = data.DefaultView;            
        }


        string[] names = "Andrew;Alex;Jen;Valerie".Split(';');
        public DataTable GetTable()
        {
            DataTable table = new DataTable();
            table.Columns.Add("ID", typeof(int));
            table.Columns.Add("Name", typeof(ObservableCollection<object>));
            table.Columns.Add("Random", typeof(int));

            Random r = new Random();
            for (int i = 0; i < 4; i++)
            {
                ObservableCollection<object> nameData =  new ObservableCollection<object>(){ names[r.Next(4)], names[r.Next(4)] };
                table.Rows.Add(i, nameData, r.Next(1000));
            }

            return table;
        }

        private void XamComboEditor_Loaded(object sender, RoutedEventArgs e)
        {
            XamComboEditor XCE = sender as XamComboEditor;
            XCE.ItemsSource = names.ToList();

            CellValuePresenter CVP = Utilities.GetAncestorFromType(XCE, typeof(CellValuePresenter), false) as CellValuePresenter;

            DataRecord DR = CVP.Record as DataRecord;

            DataRowView DRV = DR.DataItem as DataRowView;

            ObservableCollection<object> obj = DRV.Row.ItemArray[1] as ObservableCollection<object>;

            XCE.SelectedItems = obj;
        }      
    }
}
